Sidebar

Error starting High Availability: Currently only supported by MySQL, MariaDB, or MSSQL 2016+ databases.

0 votes
187 views
asked Aug 14, 2019 by rich-c-2789 (15,250 points)
edited Aug 14, 2019 by rich-c-2789

I am trying to setup QIE to run in High Availability mode. I am using Microsoft SQL Server 2016 as the QIE database server. I have created the QIE database using this script:

  SQL Server script to create High Availability database for QIE

So, I know that I am using a supported database server with a database created with the proper configuration. However, when I try to start QIE I get this error in the log file:

  java.lang.RuntimeException: Currently only supported by MySQL, MariaDB, or MSSQL 2016+ databases.

What am I missing?

1 Answer

0 votes

This question only applies to QIE versions greater than .47 licensed for High Availability.

You will also need to configure the QIE Service Manager to use a supported database dialect. Check the 'hibernate.dialect' Java Option in the Arguments on the Startup tab of the QIE Service Manager. It should be set to one of the following that corresponds to the database server you use.

Microsoft SQL 2016: 

  -Dhibernate.dialect=com.qvera.qie.persistence.SQLServer2016UnicodeDialect

Microsoft SQL 2017:

  -Dhibernate.dialect=com.qvera.qie.persistence.SQLServer2017UnicodeDialect

Microsoft SQL 2019:

  -Dhibernate.dialect=com.qvera.qie.persistence.SQLServer2019UnicodeDialect

MySQL and MariaDb:

  -Dhibernate.dialect=com.qvera.qie.persistence.MySQLUnicodeDialect

answered Aug 14, 2019 by rich-c-2789 (15,250 points)
...